View Issue Details

IDProjectCategoryView StatusLast Update
0001616SketcherBugpublic2014-12-29 00:30
Reporterbj0 Assigned Towmayer  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntuOS Version14.04
Product Version 
Target VersionFixed in Version 
Summary0001616: crash when selecting "Edit Sketch"
DescriptionI was building a sketch for a part and closed the sketch to try something in another workbench. Now the sketch is impossible to edit. Whenever I click on it and "edit sketch" freecad crashes with:

src/Mod/Sketcher/App/Sketch.cpp:436: int Sketcher::Sketch::checkGeoId(int): Assertion `geoId >= 0 && geoId < int(Geoms.size())' failed.
Aborted (core dumped)

I tried with both .14 included with ubuntu and the latest git version. I deleted everything in the model except the sketch and attached it, it still crashes every time.
Steps To Reproduceopen the file and edit the sketch.
TagsNo tags attached.
FreeCAD Information

Relationships

related to 0001060 closedwmayer FreeCAD Editing sketch crashes FreeCAD 

Activities

bj0

2014-07-15 21:30

reporter  

test.fcstd (5,375 bytes)

wmayer

2014-07-16 13:40

administrator   ~0004800

Your sketch is totally corrupted. I don't know how you caused this but the sketch has *no* geometry entity but 101 constraint entities.

Python code:
s=App.ActiveDocument.Sketch002
s.GeometryCount # gives 0
s.ConstraintCount # gives 101

Anyway, there should be a consistency check when editing a sketch and raise an error message if needed.

Related Changesets

FreeCAD: master 6a1cb47e

2014-12-29 01:13:03

wmayer

Details Diff
+ fixes 0001616: crash when selecting 'Edit Sketch' Affected Issues
0001616
mod - src/Mod/Sketcher/App/SketchObject.cpp Diff File

Issue History

Date Modified Username Field Change
2014-07-15 21:30 bj0 New Issue
2014-07-15 21:30 bj0 File Added: test.fcstd
2014-07-16 13:40 wmayer Note Added: 0004800
2014-07-16 13:41 wmayer Status new => confirmed
2014-07-23 12:37 wmayer Project FreeCAD => Sketcher
2014-12-29 00:16 wmayer Relationship added related to 0001060
2014-12-29 00:30 wmayer Changeset attached => FreeCAD Master master 6a1cb47e
2014-12-29 00:30 wmayer Assigned To => wmayer
2014-12-29 00:30 wmayer Status confirmed => closed
2014-12-29 00:30 wmayer Resolution open => fixed